# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 615 59 -3
spawnpoint @a[tag=dh.t_primoGiocatore] 615 59 -3
spawnpoint @a[tag=dh.t_secondoGiocatore] 615 59 -5



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=616,y=60.5,z=-18,dx=5,dy=3,dz=5] run tp @s 619.0 60 -15.0

# Morte Giocatore
execute if block 634 64 -35 minecraft:fire as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] if entity @s[x=634,y=64,z=-35,distance=..1] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s si è suicidato buttandosi nel fuoco ardente.","color":"red","with":[{"selector":"@s"}]}
execute if block 634 64 -35 minecraft:fire as @a[tag=dh.t_giocatori] run kill @s[x=634,y=64,z=-35,distance=..1]

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl1.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl1.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_a_livello_1/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_a_livello_1/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_a_livello_1/dh.f.d_effetti



# CB Titolo
execute if block 623 41 -23 minecraft:red_wool run data merge block 624 41 -26 {auto:1b}

# CB Indizio e Easter Egg
execute if block 609 59 -26 #minecraft:buttons[powered=true] run data merge block 625 41 -26 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 625 41 -26 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/a_extra1=false},nbt={Inventory:[{id:"minecraft:wither_skeleton_skull"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/a_extra1=false},nbt={Inventory:[{id:"minecraft:wither_skeleton_skull"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/a_extra1



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi1,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=634,y=59,z=-27,distance=..2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=629,y=59,z=-15,distance=..2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 626 41 -26 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 626 41 -26 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 626 41 -26 {auto:1b}

# CB Discorso Prerichiesta
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 641 59 -28 #minecraft:buttons[powered=true] run data merge block 627 41 -26 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia1,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 629 41 -26 {auto:1b}

# CB Anima Aria
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 630 41 -26 {auto:1b}



# CB Reset Oggetti
execute if block 619 59 -3 #minecraft:buttons[powered=true] run data merge block 631 41 -26 {auto:1b}

# Disttiva CB Timer Reset Oggetti
execute if score #ResetOggetti1 dh.o_tempoScorre matches 6000 run setblock 619 59 -3 minecraft:oak_button[face=floor,facing=east]
execute if score #ResetOggetti1 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti1 dh.o_tempoScorre matches 6000 run data merge block 635 41 -26 {auto:0b}

# Cartello Reset Oggetti
execute if block 619 59 -3 minecraft:oak_sign run data merge block 619 59 -3 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 631 58 -6 #minecraft:buttons[powered=true] run data merge block 633 41 -26 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 641 59 -28 #minecraft:buttons[powered=true] run data merge block 633 41 -26 {auto:1b}

execute if block 650 53 2 #minecraft:buttons[powered=true] run data merge block 633 41 -26 {auto:1b}



# CB Ritorno al Livello
execute if block 632 41 -23 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 634 41 -26 {auto:1b}