# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 691 64 -101
spawnpoint @a[tag=dh.t_primoGiocatore] 691 64 -102
spawnpoint @a[tag=dh.t_secondoGiocatore] 691 64 -100



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=706,y=65.5,z=-97,dx=5,dy=3,dz=5] run tp @s 709.0 65 -94.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~ ~ minecraft:water run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha bevuto l'acqua così pura della palude, che si è intossicato.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~ ~ minecraft:water run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl3.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl3.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_c_livello_3/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_c_livello_3/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_c_livello_3/dh.f.d_effetti



# CB Titolo
execute if block 699 55 -99 minecraft:red_wool run data merge block 700 55 -102 {auto:1b}

# CB Indizio e Easter Egg
execute if block 709 72 -80 #minecraft:buttons[powered=true] run data merge block 701 55 -102 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 701 55 -102 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/c_extra3=false},nbt={Inventory:[{id:"minecraft:soul_torch"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/c_extra3=false},nbt={Inventory:[{id:"minecraft:soul_torch"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/c_extra3



# CB Discorsi
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_partiDiscorso,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=713,y=64,z=-93,distance=..9] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_avvioDiscorso3.2,type=area_effect_cloud,nbt={Age:200}] if block 702 55 -99 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 702 55 -102 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 702 55 -102 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 694 72 -82 #minecraft:buttons[powered=true] run data merge block 703 55 -102 {auto:1b}
execute unless score #Reliquia3 dh.o_reliquie matches 1 if block 708 64 -86 #minecraft:buttons[powered=true] run data merge block 703 55 -102 {auto:1b}


# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia3,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 705 55 -102 {auto:1b}

# Anima Spirito
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 706 55 -102 {auto:1b}



# CB Reset Oggetti
execute if block 691 64 -103 #minecraft:buttons[powered=true] run data merge block 707 55 -102 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti3 dh.o_tempoScorre matches 6000 run setblock 691 64 -103 minecraft:oak_button[face=floor,facing=north]
execute if score #ResetOggetti3 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti3 dh.o_tempoScorre matches 6000 run data merge block 710 55 -102 {auto:0b}

# Cartello Reset Oggetti
execute if block 691 64 -103 minecraft:oak_sign run data merge block 691 64 -103 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 708 63 -108 #minecraft:buttons[powered=true] run data merge block 708 55 -102 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 694 72 -82 #minecraft:buttons[powered=true] run data merge block 708 55 -102 {auto:1b}

execute if block 708 64 -86 #minecraft:buttons[powered=true] if score #Reliquia3 dh.o_reliquie matches 1 run data merge block 708 55 -102 {auto:1b}



# Ritorno al Livello
execute if block 706 55 -99 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 709 55 -102 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 706 55 -99 minecraft:yellow_wool unless score #Reliquia3 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia3,type=magma_cube] run summon minecraft:magma_cube 708 68 -110 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia3"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 706 55 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia3,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=708,y=66,z=-108,distance=..1.5] run effect clear @e[tag=dh.t_cassaReliquia3,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 706 55 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia3,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=708,y=66,z=-108,distance=..1.5] at @e[tag=dh.t_cassaReliquia3,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia3,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 706 55 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia3,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=708,y=66,z=-108,distance=..1.5] run data merge entity @e[tag=dh.t_cassaReliquia3,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 706 55 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia3,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=708,y=66,z=-108,distance=..1.5] run setblock 706 55 -99 minecraft:lime_wool