# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 715 27 -163
spawnpoint @a[tag=dh.t_primoGiocatore] 716 27 -163
spawnpoint @a[tag=dh.t_secondoGiocatore] 715 27 -162



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=706,y=32,z=-174,dx=5,dy=3,dz=5] run tp @s 709.0 32 -171.0

# Morte Giocatori
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] if entity @s[x=655,y=13,z=-220,dx=100,dy=2,dz=95] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha finalmente messo le ali, ma non ha ancora imparato a volare.","color":"red","with":[{"selector":"@s]"}]}
execute as @a[tag=dh.t_giocatori] if entity @s[x=655,y=13,z=-220,dx=100,dy=2,dz=95] run kill @s
execute as @a[tag=dh.t_giocatori] if entity @s[x=655,y=13,z=-220,dx=100,dy=2,dz=95] run tp @s 715 27 -163

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl13.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl13.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_o_livello_13/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_o_livello_13/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_o_livello_13/dh.f.d_effetti



# CB Titolo
execute if block 724 67 -185 minecraft:red_wool run data merge block 725 67 -188 {auto:1b}

# CB Indizio e Easter Egg
execute if block 702 27 -161 #minecraft:buttons[powered=true] run data merge block 726 67 -188 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 726 67 -188 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/o_extra13=false},nbt={Inventory:[{id:"minecraft:cod"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/o_extra13=false},nbt={Inventory:[{id:"minecraft:cod"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/o_extra13



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi13,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=682,y=37,z=-171,distance=..3] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=714,y=27,z=-165,dx=4,dy=1,dz=4,scores={dh.o_oggettiTOT=3},nbt={Inventory:[{id:"minecraft:shears",Count:1b,tag:{display:{Name:'{"text":"Forbici da Tessuto","color":"gray","italic":false}'}}}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 727 67 -188 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 727 67 -188 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 727 67 -188 {auto:1b}

# CB Discorso Prerichiesta
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 716 61 -169 #minecraft:buttons[powered=true] run data merge block 728 67 -188 {auto:1b}
execute unless score #Reliquia13 dh.o_reliquie matches 1 if block 723 42 -177 #minecraft:buttons[powered=true] run data merge block 728 67 -188 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia13,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 730 67 -188 {auto:1b}

# CB Anima Aria
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 731 67 -188 {auto:1b}



# CB Reset Oggetti
execute if block 715 28 -164 #minecraft:buttons[powered=true] run data merge block 732 67 -188 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti13 dh.o_tempoScorre matches 6000 run setblock 715 28 -164 minecraft:oak_button[face=floor]
execute if score #ResetOggetti13 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti13 dh.o_tempoScorre matches 6000 run data merge block 735 67 -188 {auto:0b}

# Cartello Reset Oggetti
execute if block 715 28 -164 minecraft:oak_sign run data merge block 715 28 -164 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 704 28 -181 #minecraft:buttons[powered=true] run data merge block 733 67 -188 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 716 61 -169 #minecraft:buttons[powered=true] run data merge block 733 67 -188 {auto:1b}

execute if block 723 42 -177 #minecraft:buttons[powered=true] if score #Reliquia13 dh.o_reliquie matches 1 run data merge block 733 67 -188 {auto:1b}



# CB Ritorno al Livello
execute if block 732 67 -185 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 734 67 -188 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 732 67 -185 minecraft:yellow_wool unless score #Reliquia13 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia13,type=magma_cube] run summon minecraft:magma_cube 745 55 -165 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia13"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 732 67 -185 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia13,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=744,y=53,z=-163,distance=..1.5] run effect clear @e[tag=dh.t_cassaReliquia13,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 732 67 -185 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia13,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=744,y=53,z=-163,distance=..1.5] at @e[tag=dh.t_cassaReliquia13,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia13,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 732 67 -185 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia13,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=744,y=53,z=-163,distance=..1.5] run data merge entity @e[tag=dh.t_cassaReliquia13,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 732 67 -185 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia13,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=744,y=53,z=-163,distance=..1.5] run setblock 732 67 -185 minecraft:lime_wool